Index: trunk/src/series/LIF_series.m
===================================================================
--- trunk/src/series/LIF_series.m	(revision 976)
+++ trunk/src/series/LIF_series.m	(revision 977)
@@ -4,5 +4,5 @@
 
 %=======================================================================
-% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
+% Copyright 2008-2017, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/aver_stat.m
===================================================================
--- trunk/src/series/aver_stat.m	(revision 976)
+++ trunk/src/series/aver_stat.m	(revision 977)
@@ -40,5 +40,5 @@
 
 %=======================================================================
-% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
+% Copyright 2008-2017, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/aver_synchro.m
===================================================================
--- trunk/src/series/aver_synchro.m	(revision 976)
+++ trunk/src/series/aver_synchro.m	(revision 977)
@@ -40,5 +40,5 @@
 
 %=======================================================================
-% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
+% Copyright 2008-2017, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/beam_forming.m
===================================================================
--- trunk/src/series/beam_forming.m	(revision 976)
+++ trunk/src/series/beam_forming.m	(revision 977)
@@ -1,4 +1,4 @@
 %=======================================================================
-% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
+% Copyright 2008-2017, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/calc_background.m
===================================================================
--- trunk/src/series/calc_background.m	(revision 976)
+++ trunk/src/series/calc_background.m	(revision 977)
@@ -33,5 +33,5 @@
 
 %=======================================================================
-% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
+% Copyright 2008-2017, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/check_data_files.m
===================================================================
--- trunk/src/series/check_data_files.m	(revision 976)
+++ trunk/src/series/check_data_files.m	(revision 977)
@@ -33,5 +33,5 @@
 
 %=======================================================================
-% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
+% Copyright 2008-2017, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/check_peaklock.m
===================================================================
--- trunk/src/series/check_peaklock.m	(revision 976)
+++ trunk/src/series/check_peaklock.m	(revision 977)
@@ -46,5 +46,5 @@
 
 %=======================================================================
-% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
+% Copyright 2008-2017, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/civ2vel_3C.m
===================================================================
--- trunk/src/series/civ2vel_3C.m	(revision 976)
+++ trunk/src/series/civ2vel_3C.m	(revision 977)
@@ -47,5 +47,5 @@
 
 %=======================================================================
-% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
+% Copyright 2008-2017, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/civ_input.m
===================================================================
--- trunk/src/series/civ_input.m	(revision 976)
+++ trunk/src/series/civ_input.m	(revision 977)
@@ -10,5 +10,5 @@
 
 %=======================================================================
-% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
+% Copyright 2008-2017, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/civ_series.m
===================================================================
--- trunk/src/series/civ_series.m	(revision 976)
+++ trunk/src/series/civ_series.m	(revision 977)
@@ -29,5 +29,5 @@
 
 %=======================================================================
-% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
+% Copyright 2008-2017, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/extract_multitif.m
===================================================================
--- trunk/src/series/extract_multitif.m	(revision 976)
+++ trunk/src/series/extract_multitif.m	(revision 977)
@@ -42,5 +42,5 @@
 
 %=======================================================================
-% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
+% Copyright 2008-2017, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/extract_multitif_parallel.m
===================================================================
--- trunk/src/series/extract_multitif_parallel.m	(revision 976)
+++ trunk/src/series/extract_multitif_parallel.m	(revision 977)
@@ -42,5 +42,5 @@
 
 %=======================================================================
-% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
+% Copyright 2008-2017, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/extract_rdvision.m
===================================================================
--- trunk/src/series/extract_rdvision.m	(revision 976)
+++ trunk/src/series/extract_rdvision.m	(revision 977)
@@ -42,5 +42,5 @@
 
 %=======================================================================
-% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
+% Copyright 2008-2017, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/float_tracking.m
===================================================================
--- trunk/src/series/float_tracking.m	(revision 976)
+++ trunk/src/series/float_tracking.m	(revision 977)
@@ -59,5 +59,5 @@
 
 %=======================================================================
-% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
+% Copyright 2008-2017, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/get_times_rdvision.m
===================================================================
--- trunk/src/series/get_times_rdvision.m	(revision 976)
+++ trunk/src/series/get_times_rdvision.m	(revision 977)
@@ -42,5 +42,5 @@
 
 %=======================================================================
-% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
+% Copyright 2008-2017, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/ima2vol.m
===================================================================
--- trunk/src/series/ima2vol.m	(revision 976)
+++ trunk/src/series/ima2vol.m	(revision 977)
@@ -16,5 +16,5 @@
 
 %=======================================================================
-% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
+% Copyright 2008-2017, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/ima_levels.m
===================================================================
--- trunk/src/series/ima_levels.m	(revision 976)
+++ trunk/src/series/ima_levels.m	(revision 977)
@@ -42,5 +42,5 @@
 
 %=======================================================================
-% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
+% Copyright 2008-2017, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/ima_levels_batch.m
===================================================================
--- trunk/src/series/ima_levels_batch.m	(revision 976)
+++ trunk/src/series/ima_levels_batch.m	(revision 977)
@@ -15,5 +15,5 @@
 
 %=======================================================================
-% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
+% Copyright 2008-2017, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/ima_threshold.m
===================================================================
--- trunk/src/series/ima_threshold.m	(revision 976)
+++ trunk/src/series/ima_threshold.m	(revision 977)
@@ -59,5 +59,5 @@
 
 %=======================================================================
-% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
+% Copyright 2008-2017, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/lumin_calib.m
===================================================================
--- trunk/src/series/lumin_calib.m	(revision 976)
+++ trunk/src/series/lumin_calib.m	(revision 977)
@@ -3,5 +3,5 @@
 
 %=======================================================================
-% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
+% Copyright 2008-2017, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/merge_proj.m
===================================================================
--- trunk/src/series/merge_proj.m	(revision 976)
+++ trunk/src/series/merge_proj.m	(revision 977)
@@ -40,5 +40,5 @@
 
 %=======================================================================
-% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
+% Copyright 2008-2017, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/merge_proj_polar.m
===================================================================
--- trunk/src/series/merge_proj_polar.m	(revision 976)
+++ trunk/src/series/merge_proj_polar.m	(revision 977)
@@ -40,5 +40,5 @@
 
 %=======================================================================
-% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
+% Copyright 2008-2017, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/merge_proj_polar_multifile.m
===================================================================
--- trunk/src/series/merge_proj_polar_multifile.m	(revision 976)
+++ trunk/src/series/merge_proj_polar_multifile.m	(revision 977)
@@ -40,5 +40,5 @@
 
 %=======================================================================
-% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
+% Copyright 2008-2017, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/merge_proj_polar_singlefile.m
===================================================================
--- trunk/src/series/merge_proj_polar_singlefile.m	(revision 976)
+++ trunk/src/series/merge_proj_polar_singlefile.m	(revision 977)
@@ -40,5 +40,5 @@
 
 %=======================================================================
-% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
+% Copyright 2008-2017, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/movie2png.m
===================================================================
--- trunk/src/series/movie2png.m	(revision 976)
+++ trunk/src/series/movie2png.m	(revision 977)
@@ -31,5 +31,5 @@
 
 %=======================================================================
-% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
+% Copyright 2008-2017, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/particle_tracking.m
===================================================================
--- trunk/src/series/particle_tracking.m	(revision 976)
+++ trunk/src/series/particle_tracking.m	(revision 977)
@@ -59,5 +59,5 @@
 
 %=======================================================================
-% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
+% Copyright 2008-2017, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/rename_files.m
===================================================================
--- trunk/src/series/rename_files.m	(revision 976)
+++ trunk/src/series/rename_files.m	(revision 977)
@@ -42,5 +42,5 @@
 
 %=======================================================================
-% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
+% Copyright 2008-2017, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/rename_images.m
===================================================================
--- trunk/src/series/rename_images.m	(revision 976)
+++ trunk/src/series/rename_images.m	(revision 977)
@@ -42,5 +42,5 @@
 
 %=======================================================================
-% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
+% Copyright 2008-2017, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/stereo_civ.m
===================================================================
--- trunk/src/series/stereo_civ.m	(revision 976)
+++ trunk/src/series/stereo_civ.m	(revision 977)
@@ -23,5 +23,5 @@
 %
 %AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
-%  Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
+%  Copyright 2008-2017, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 %     This is part of the toolbox UVMAT.
Index: trunk/src/series/stereo_input.m
===================================================================
--- trunk/src/series/stereo_input.m	(revision 976)
+++ trunk/src/series/stereo_input.m	(revision 977)
@@ -10,5 +10,5 @@
 
 %=======================================================================
-% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
+% Copyright 2008-2017, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/sub_background.m
===================================================================
--- trunk/src/series/sub_background.m	(revision 976)
+++ trunk/src/series/sub_background.m	(revision 977)
@@ -52,5 +52,5 @@
 
 %=======================================================================
-% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
+% Copyright 2008-2017, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/time_series.m
===================================================================
--- trunk/src/series/time_series.m	(revision 976)
+++ trunk/src/series/time_series.m	(revision 977)
@@ -41,5 +41,5 @@
 
 %=======================================================================
-% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
+% Copyright 2008-2017, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/turb_correlation.m
===================================================================
--- trunk/src/series/turb_correlation.m	(revision 976)
+++ trunk/src/series/turb_correlation.m	(revision 977)
@@ -40,5 +40,5 @@
 
 %=======================================================================
-% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
+% Copyright 2008-2017, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/turb_stat.m
===================================================================
--- trunk/src/series/turb_stat.m	(revision 976)
+++ trunk/src/series/turb_stat.m	(revision 977)
@@ -40,5 +40,5 @@
 
 %=======================================================================
-% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
+% Copyright 2008-2017, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/usr_fct/clean_civ_cmx.m
===================================================================
--- trunk/src/series/usr_fct/clean_civ_cmx.m	(revision 976)
+++ trunk/src/series/usr_fct/clean_civ_cmx.m	(revision 977)
@@ -14,5 +14,5 @@
 
 %=======================================================================
-% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
+% Copyright 2008-2017, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/usr_fct/merge_proj_images.m
===================================================================
--- trunk/src/series/usr_fct/merge_proj_images.m	(revision 976)
+++ trunk/src/series/usr_fct/merge_proj_images.m	(revision 977)
@@ -40,5 +40,5 @@
 
 %=======================================================================
-% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
+% Copyright 2008-2017, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/usr_fct/merge_proj_special.m
===================================================================
--- trunk/src/series/usr_fct/merge_proj_special.m	(revision 976)
+++ trunk/src/series/usr_fct/merge_proj_special.m	(revision 977)
@@ -40,5 +40,5 @@
 
 %=======================================================================
-% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
+% Copyright 2008-2017, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/usr_fct/relabel_i_j.m
===================================================================
--- trunk/src/series/usr_fct/relabel_i_j.m	(revision 976)
+++ trunk/src/series/usr_fct/relabel_i_j.m	(revision 977)
@@ -41,5 +41,5 @@
 
 %=======================================================================
-% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
+% Copyright 2008-2017, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/vel2vol.m
===================================================================
--- trunk/src/series/vel2vol.m	(revision 976)
+++ trunk/src/series/vel2vol.m	(revision 977)
@@ -4,5 +4,5 @@
 
 %=======================================================================
-% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
+% Copyright 2008-2017, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr